You can create a new content snippet.
title is listed as required, but a missing, null or empty title is accepted and the snippet is created with a blank title. When json_blocks is omitted or null and body_markdown is omitted or blank, the snippet is created with a single empty paragraph.
Requires the read_write_content_snippets OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The title of the content snippet. The API accepts a missing, null or empty title.
The content blocks that make up the body of the snippet. Mutually exclusive with body_markdown.
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
The content of the snippet in markdown. An alternative to json_blocks — you can provide content as markdown instead of structured blocks. Mutually exclusive with json_blocks.
The list of audience IDs to target this content snippet to for Fin AI Agent. Pass an empty array or omit the field for no audience targeting. Unknown audience IDs return a 404 error with no partial commit.
[ 1, 2 ]
Whether the content snippet should be available for AI Chatbot (Fin). Defaults to true.
Whether the content snippet should be available for AI Copilot. Defaults to true.
- The production API serverhttps://api.intercom.io/content_snippets
- The european API serverhttps://api.eu.intercom.io/content_snippets
- The australian API serverhttps://api.au.intercom.io/content_snippets
curl -i -X POST \
https://api.intercom.io/content_snippets \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"title": "How to reset your password",
"json_blocks": [
{
"type": "paragraph",
"text": "Navigate to Settings > Security > Reset password."
}
],
"locale": "en",
"audience_ids": [
1,
2
]
}'Content snippet created
String representing the object's type. Always has the value content_snippet.
The content blocks that make up the body of the snippet. In responses, the blocks are returned as a JSON-encoded string rather than as an array.
[ { "type": "paragraph", "text": "Navigate to Settings > Security > Reset password." } ]
The body of the content snippet in markdown.
Whether the content snippet is available for AI Chatbot (Fin).
Whether the content snippet is available for AI Sales Agent.
The list of audience IDs this content snippet is targeted to for Fin AI Agent. Empty array means no audience targeting is set.
[ 1, 2 ]
{ "type": "content_snippet", "id": "456", "title": "How to reset your password", "locale": "en", "json_blocks": [ { … } ], "body_markdown": "Navigate to Settings \\> Security \\> Reset password.\n", "chatbot_availability": 2, "copilot_availability": 2, "ai_chatbot_availability": true, "ai_copilot_availability": true, "ai_sales_agent_availability": true, "created_at": 1663597223, "updated_at": 1663597223, "audience_ids": [ 1, 2 ] }